Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMNativeObject

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

Direct Known Subclasses:
  `ASMOclAny`

public abstract class ASMNativeObject extends Object
Native Objects that can be created using "new" by VM code.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static Map`
`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMNativeObject()`

## Method Summary

Modifier and Type
Method
Description
`static Class`
`getNativeImpl(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nativeImpl

protected static Map nativeImpl

## Constructor Details

### ASMNativeObject

public ASMNativeObject()

## Method Details

### getNativeImpl

public static Class getNativeImpl(String name)